Check-In
organization_id*stringsessionIds?array<string>|Filter by CheckInSession id. Repeat or comma-separate for several.
eventIds?array<string>|Filter by Event id. Repeat or comma-separate for several.
eventGroupIds?array<string>|Filter by the checked-in Event's EventGroup id. Repeat or comma-separate for several.
passIds?array<string>|Filter by Pass id. Repeat or comma-separate for several.
q?stringSearch participant name/email/phone or Session, Event, or Pass name.
checkedInFrom?stringCheck-ins at or after this time (RFC 3339).
date-timecheckedInTo?stringCheck-ins before this time (RFC 3339).
date-timelimit?integerPage size (1-100)
int641 <= value <= 10020cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/organizations/string/check-in-logs'{ "$schema": "https://example.com/schemas/PageCheckInLog.json", "data": [ { "checkedInAt": "2019-08-24T14:15:22Z", "eventId": "string", "eventName": "string", "id": "string", "method": "string", "operatorName": "string", "participantEmail": "string", "participantId": "string", "participantName": "string", "participantPhone": "string", "passId": "string", "passName": "string", "sessionId": "string", "sessionName": "string" } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}organization_id*stringids?array<string>|Resolve these exact CheckInSession ids. Repeat or comma-separate for several; use to look up labels for selected ids.
eventIds?array<string>|Filter by Event id. Repeat or comma-separate for several.
eventGroupIds?array<string>|Filter by an EventGroup owning one of the session's Events. Repeat or comma-separate for several.
passIds?array<string>|Filter by Pass id. Repeat or comma-separate for several.
statuses?array<string>|Filter by session status (active, paused, closed).
q?stringlimit?integerPage size (1-100)
int641 <= value <= 10020cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/organizations/string/check-in-sessions'{ "$schema": "https://example.com/schemas/PageCheckInSession.json", "data": [ { "acceptAllPasses": true, "acceptedPasses": [ { "eventId": "string", "eventName": "string", "id": "string", "name": "string" } ], "createdAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "eventIds": [ "string" ], "events": [ { "id": "string", "name": "string", "slug": "string" } ], "id": "string", "instructions": "string", "location": "string", "name": "string", "organizationId": "string", "startsAt": "2019-08-24T14:15:22Z", "status": "string", "updatedAt": "2019-08-24T14:15:22Z" } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}organization_id*stringapplication/json- body
acceptAllPasses?booleanacceptedPassIds?array<string>|nullendsAt?stringdate-timeeventIds*array<string>|1 <= itemsinstructions?stringlength <= 2000location?stringlength <= 200name*stringlength <= 120startsAt?stringdate-timeOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uricheckInSession*curl -X POST 'https://example.com/api/v1/organizations/string/check-in-sessions' \ -H 'Content-Type: application/json' \ -d '{ "eventIds": [ "string" ], "name": "string"}'{ "$schema": "https://example.com/schemas/CheckInSessionBody.json", "checkInSession": { "acceptAllPasses": true, "acceptedPasses": [ { "eventId": "string", "eventName": "string", "id": "string", "name": "string" } ], "createdAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "eventIds": [ "string" ], "events": [ { "id": "string", "name": "string", "slug": "string" } ], "id": "string", "instructions": "string", "location": "string", "name": "string", "organizationId": "string", "startsAt": "2019-08-24T14:15:22Z", "status": "string", "updatedAt": "2019-08-24T14:15:22Z" }}organization_id*stringcheck_in_session_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uricheckInSession*curl -X GET 'https://example.com/api/v1/organizations/string/check-in-sessions/string'{ "$schema": "https://example.com/schemas/CheckInSessionBody.json", "checkInSession": { "acceptAllPasses": true, "acceptedPasses": [ { "eventId": "string", "eventName": "string", "id": "string", "name": "string" } ], "createdAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "eventIds": [ "string" ], "events": [ { "id": "string", "name": "string", "slug": "string" } ], "id": "string", "instructions": "string", "location": "string", "name": "string", "organizationId": "string", "startsAt": "2019-08-24T14:15:22Z", "status": "string", "updatedAt": "2019-08-24T14:15:22Z" }}organization_id*stringcheck_in_session_id*stringapplication/json- body
acceptAllPasses?booleanacceptedPassIds?array<string>|nullclearWindow?booleanendsAt?stringdate-timeeventIds?array<string>|nullinstructions?stringlocation?stringname?stringstartsAt?stringdate-timestatus?stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uricheckInSession*curl -X PATCH 'https://example.com/api/v1/organizations/string/check-in-sessions/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "$schema": "https://example.com/schemas/CheckInSessionBody.json", "checkInSession": { "acceptAllPasses": true, "acceptedPasses": [ { "eventId": "string", "eventName": "string", "id": "string", "name": "string" } ], "createdAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "eventIds": [ "string" ], "events": [ { "id": "string", "name": "string", "slug": "string" } ], "id": "string", "instructions": "string", "location": "string", "name": "string", "organizationId": "string", "startsAt": "2019-08-24T14:15:22Z", "status": "string", "updatedAt": "2019-08-24T14:15:22Z" }}organization_id*stringcheck_in_session_id*stringlimit?integerPage size (1-100)
int641 <= value <= 10020cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/organizations/string/check-in-sessions/string/scans'{ "$schema": "https://example.com/schemas/PageAttemptView.json", "data": [ { "createdAt": "2019-08-24T14:15:22Z", "deviceLabel": "string", "id": "string", "method": "string", "operatorName": "string", "participantEmail": "string", "participantId": "string", "participantName": "string", "passName": "string", "reason": "string", "resultCode": "string" } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}organization_id*stringcheck_in_session_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriadmissibleCount*integerint64checkedInCount*integerint64curl -X GET 'https://example.com/api/v1/organizations/string/check-in-sessions/string/scans/stats'{ "$schema": "https://example.com/schemas/Stats.json", "admissibleCount": 0, "checkedInCount": 0}organization_id*stringsession_id*stringapplication/json- body
input*stringparticipantId*stringreason*stringlength <= 240OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uricandidates?array<>|nullcheckInId?stringcheckedInAt?stringdate-timename?stringoperatorName?stringparticipantId?stringpassName?stringstatus*stringcurl -X POST 'https://example.com/api/v1/organizations/string/check-in-sessions/string/participant-scans' \ -H 'Content-Type: application/json' \ -d '{ "input": "string", "participantId": "string", "reason": "string"}'{ "$schema": "https://example.com/schemas/AdmissionResult.json", "candidates": [ { "name": "string", "participantId": "string", "passName": "string" } ], "checkInId": "string", "checkedInAt": "2019-08-24T14:15:22Z", "name": "string", "operatorName": "string", "participantId": "string", "passName": "string", "status": "string"}